<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent" 
    android:id="@+id/td_scrollView"
    >

    <LinearLayout
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="5dip" >

        <!-- View Title Label -->

        <TextView
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dip"
            android:text="@string/register_title"
            android:textSize="20sp"
            android:layout_marginTop="20dp"
            android:textStyle="bold" />
        <!-- Name Label -->

        <TextView
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:text="@string/name" />
        <!-- Name TextField -->

        <EditText
            android:id="@+id/registerName"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content" 
            android:hint="请输入您的用户名"
            android:text=""
            />
			
        <!-- Email Label -->

        <TextView
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:text="@string/email" />
        <!-- Email TextField -->

        <EditText
            android:id="@+id/registerEmail"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:hint="请输入您常用的邮箱地址"
            android:inputType="textEmailAddress" 
            android:text=""
            />

        <!-- Password Label -->

        <TextView
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="15dip"
            android:text="@string/pwd" />
        <!-- Password TextField -->

        <EditText
            android:id="@+id/registerPassword"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:hint="输入您的密码"
            android:inputType="textPassword"
            android:text=""
             />

        <!-- Error message -->

        <TextView
            android:id="@+id/register_error"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:padding="10dip"
            android:textColor="#e30000"
            android:textStyle="bold" />
            
            <LinearLayout   style ="@style/ll_line_note" 
							       		   
            >							 
			 	<TextView                                                                                                                   
				     	android:id="@+id/txtNotice" 
				        style ="@style/ll_text_view_1"  
					    android:visibility="gone"
					     />  
													 		    
	      </LinearLayout> 
        
               
	 <LinearLayout 	style ="@style/ll_line_small"	 
	             android:layout_height="wrap_content" 
	              android:layout_marginTop="20dip"
	             android:orientation="horizontal"
	            >
	            
	        <Button
            android:id="@+id/btnRegister"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
           
            android:background="#ff6347"
             android:layout_weight="1"
            android:text="@string/btnRegister"
            android:textColor="#fff" />
	    

        <!-- Link to Login Screen -->

        <Button
            android:id="@+id/btnLinkToLoginScreen"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:visibility="gone"
            android:background="@null" 
            android:text="登录"
            android:layout_weight="1"
            android:textColor="#228b22"
            android:textStyle="bold" />
        
        </LinearLayout>  
        

     

    </LinearLayout>

</ScrollView>